Public Member Functions
CNurbsSampleRefArray Class Reference

## Detailed Description

An array of NurbsSample objects representing the sample points on a NurbsSurface.

Warning:
  This specialized array is returned by NurbsSurface::GetSamples, it is not meant to be created and modified in user-defined functions. If you want to add and remove arbitrary items to a collection, you must use a CRefArray instead.

See also:
  NurbsSurface::GetSamples

Example:

            using namespace XSI;

            Application app;
            Model root = app.GetActiveSceneRoot();

            X3DObject mySphere;
            root.AddGeometry( L"Sphere", L"NurbsSurface", L"", mySphere );

            NurbsSurfaceMesh mySurfaceMesh(mySphere.GetActivePrimitive().GetGeometry());

            CNurbsSurfaceRefArray surfaces = mySurfaceMesh.GetSurfaces();

            NurbsSurface mySurface = surfaces.GetItem(0);

            CNurbsSampleRefArray mySamples = mySurface.GetNurbsSamples();

`#include <xsi_nurbssample.h>`

Inheritance diagram for CNurbsSampleRefArray:
[legend]

List of all members.

## Public Member Functions
| CNurbsSampleRefArray ()
| CNurbsSampleRefArray (const CNurbsSampleRefArray &in_array)
CRef | GetItem (LONG in_index) const
CRef | GetItem (const CString &in_name) const
LONG | GetCount () const
bool | IsValid () const
CStatus | GetUSamplingCount (LONG &out_lUSamplingCount) const
CStatus | GetVSamplingCount (LONG &out_lVSamplingCount) const
CStatus | GetIndexFromUVSamplingCoordinate (LONG in_lUSamplingCoordinate, LONG in_lVSamplingCoordinate, LONG &out_lIndex) const
CStatus | GetIndexArrayFromUVSamplingCoordinateArray (CLongArray &in_aUVSamplingCoordinate, CLongArray &out_aIndices) const
CStatus | GetUVSamplingCoordinateArray (CLongArray &in_aIndices, CLongArray &out_aUVSamplingCoordinate) const

## Constructor & Destructor Documentation

CNurbsSampleRefArray | ( |  | ) |

Default constructor.

CNurbsSampleRefArray | ( | const CNurbsSampleRefArray & | in_array | ) |

Copy constructor.

Parameters:

  in_array | constant CNurbsSurfaceRefArray reference object.

## Member Function Documentation

CRef GetItem | ( | LONG | in_index | ) | const `[virtual]`

Returns a NurbsSample object at a specified index in the array.

Parameters:

  in_index | The index of the NurbsSurface.

Returns:
  A reference to the NurbsSample object.

Reimplemented from CSampleRefArray.

CRef GetItem | ( | const CString & | in_name | ) | const `[virtual]`

Returns the NurbsSample object in the array matching the specified name.

Parameters:

  in_name | The name of the NurbsSurface.

Returns:
  A reference to the NurbsSample object.

Reimplemented from CSampleRefArray.

LONG GetCount | ( |  | ) | const `[virtual]`

Returns the number of NurbsSample objects in the array.

Returns:
  The number of NurbsSample objects.

Reimplemented from CSampleRefArray.

bool IsValid | ( |  | ) | const `[virtual]`

Returns true if this array is a valid object or false otherwise.

Returns:
  true if valid, false otherwise.

Reimplemented from CSampleRefArray.

CStatus GetUSamplingCount | ( | LONG & | out_lUSamplingCount | ) | const

Returns the number of USampling coordinate valid indices.

Return values:

  out_lUSamplingCount | number of USampling coordinate valid indices.

Returns:
  CStatus::OK success
  CStatus::Fail other failure

CStatus GetVSamplingCount | ( | LONG & | out_lVSamplingCount | ) | const

Returns the number of VSampling coordinate valid indices.

Return values:

  out_lVSamplingCount | number of VSampling coordinate valid indices.

Returns:
  CStatus::OK success
  CStatus::Fail other failure

CStatus GetIndexFromUVSamplingCoordinate | ( | LONG | in_lUSamplingCoordinate,
|  | LONG | in_lVSamplingCoordinate,
|  | LONG & | out_lIndex
| ) |  | const

Returns the index of the sample point at given a UV sampling coordinate value.

Parameters:

  in_lUSamplingCoordinate | USamplingCoordinate.
  in_lVSamplingCoordinate | VSamplingCoordinate.

Return values:

  out_lIndex | Returned index
  out_lIndex | NurbsSample global index.

Returns:
  CStatus::OK success
  CStatus::Fail other failure

CStatus GetIndexArrayFromUVSamplingCoordinateArray | ( | CLongArray & | in_aUVSamplingCoordinate,
|  | CLongArray & | out_aIndices
| ) |  | const

Returns an array of Sample indices corresponding to UV sampling coordinate values.

Parameters:

  in_aUVSamplingCoordinate | Array of UV sampling coordinates.

Return values:

  out_aIndices | Array of indices.

Returns:
  CStatus::OK success
  CStatus::Fail other failure

CStatus GetUVSamplingCoordinateArray | ( | CLongArray & | in_aIndices,
|  | CLongArray & | out_aUVSamplingCoordinate
| ) |  | const

Returns an array of UVSamplingCoordinate values for all Sample index.

Parameters:

  in_aIndices | Array of sample indices.

Return values:

  out_aUVSamplingCoordinate | Array of UV sampling coordinates.

Returns:
  CStatus::OK success
  CStatus::Fail other failure

The documentation for this class was generated from the following file:

- xsi_nurbssample.h